<?php
namespace Modules\Fournisseur\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class AjaxDocFournisseur
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function supprimer(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sansObjet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function relance(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function download(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadAttestation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadFichier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function downloadFichierHisto(): bool
    {
        return true;
    }
}
